modules/freifunk: add some utility scripts from white russian firmware
authorJo-Philipp Wich <jow@openwrt.org>
Sun, 12 Apr 2009 20:03:27 +0000 (20:03 +0000)
committerJo-Philipp Wich <jow@openwrt.org>
Sun, 12 Apr 2009 20:03:27 +0000 (20:03 +0000)
modules/freifunk/root/usr/bin/ffdzero [new file with mode: 0755]
modules/freifunk/root/usr/bin/neigh.sh [new file with mode: 0755]

diff --git a/modules/freifunk/root/usr/bin/ffdzero b/modules/freifunk/root/usr/bin/ffdzero
new file mode 100755 (executable)
index 0000000..24e8c2e
--- /dev/null
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+test "$1" = "-h" && echo -e "Usage:\n\t$0 -h\n\t$0 [ { ip | hostname } ]" >&2 && exit 1
+
+host="${1:-leipzig.freifunk.net}"
+
+wget -O /dev/null http://$host/cgi-bin-dev-zero.bin
+test "$?" = "1" && wget -O /dev/null http://$host/cgi-bin/dev-zero.bin
+test "$?" = "1" && wget -O /dev/null http://$host/cgi-bin/luci/freifunk/status/zeroes
+test "$?" = "1" && echo "$host: no zero download found..." && exit 1
diff --git a/modules/freifunk/root/usr/bin/neigh.sh b/modules/freifunk/root/usr/bin/neigh.sh
new file mode 100755 (executable)
index 0000000..723b813
--- /dev/null
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+wget -q -O - http://localhost:2006/neighbours|sed -e's/LinkQuality/LQ/;s/Hysteresis/Hyst./;s/Willingness/Will./'